### A free/open-source library for quantitative finance

Public Member Functions
GaussLaguerreIntegration Class Reference

generalized Gauss-Laguerre integration More...

`#include <ql/math/integrals/gaussianquadratures.hpp>`

Inheritance diagram for GaussLaguerreIntegration:
[legend]

List of all members.

## Public Member Functions

| GaussLaguerreIntegration (Size n, Real s=0.0)

## Detailed Description

generalized Gauss-Laguerre integration

This class performs a 1-dimensional Gauss-Laguerre integration.

The weighting function is

and